# SŘBD

**Životní cyklus IS**

- definice cílů a specifikace požadavků
- analýza
    - Tvorba modelů
	    - Tvorba datového modelu
	    - Zajištění konzistence modelů
- realizace
- testování
- nasazení

**Příklady SŘBD na trhu**

- _Komerční SŘBD:_
    - Oracle
    - MS SQL Server
    - IBM DB2
    - Sybase
- _Volně šiřitelné SŘBD:_
    - MySQL (MariaDB)
    - PostgreSQL
    - Firebird

**Historie: využití počítačů**

- složité výpočty
	- ladění správného postupu
- řízení technologického procesu
	- jednoduché algoritmy
- ekonomické aplikace
	- typická aplikace: výpočet mezd
	- začátky zpracování dat

**Souborově orientovaný způsob zpracování dat**

- základní datový útvar
	- soubor, složen ze záznamů, ty z položek
- aplikace a data jsou vzájemně závislé
- programátor více zaměřen na techniky zpracování dat než na logiku problému
- i dnes používáno, např. začátečníci preferují soubory před tabulkami

**Systém řízení báze dat (SŘBD)**

- rozvoj hardware umožnil odstranění neefektivní práce souborově orientovaného zpracování dat
- oddělení dat od postupů zpracování dat (aplikací)
- SŘBD je soubor programového vybavení zajišťující přístupy do databáze
- databází rozumíme množinu dat logicky související s řešenou aplikací

**Přínosy SŘBD**

- oddělení dat od aplikací umožňuje změnu umístění dat bez změny aplikace
- vyšší efektivita práce programátorů
- soustředění na logiku aplikace bez zbytečného řešení technik manipulace s daty

**Požadavky na SŘBD**

- manipulace s daty
	- vkládání, vyhledávání, odstraňování, modifikace dat
	- DML (Data Manipulation Language)
		- procedurální - jak data nalézt (Java)
		- neprocedurální - jaká data chceme nalézt (SQL)
- vícenásobný přístup k datům
- přístup oprávněným osobám
- bezpečnost dat, zálohování a obnova dat

**Požadavky na DB**

- implementace libovolného datového modelu
	- DDL (Data Definition Language)
- ukládání dat nezávislých na aplikaci
- integrita dat, neredundantnost dat, zpřístupnění „katalogu dat“

**Uživatelé DBS nebo IS**

- různé typy uživatelů, od neprogramátorů, přes analytiky po administrátory databáze
- uživatelé neprogramátoři nerozhodují o funkčnosti systému
- administrátor řeší komflikty mezi uživateli a systémem

**Komponenty SŘBD**

- schéma databáze, dotazy, aplikační programy
- správce databáze, překladač DDL, preprocesor DML
- správce souborů, vyrovnávací paměti, databáze a systémový katalog

**Správce databáze**

- zpracování dotazu, autorizace, optimalizace dotazu
- kontrola integrity, řízení transakcí, plánovač, řízení obnovy DB
- správa bufferů, správce souborů