# Historické datové modely

**CODASYL**
- v roce 1960 (1959) vzniklo seskupení CODASYL
	- Conference/Committee on Data System Languages
	- konference/výbor pro jazyky databázových systémů
	- výsledným produktem byl jazyk COBOL
- později v šedesátých letech byla založena v rámci seskupení CODASYL samostatná DBTG
	- DataBase Task Group
	- publikovala základní specifikaci pro programovací jazyky určené pro práci s databázemi
- CODASYL produkt měla pochopitelně i IBM
	- uvedla ho pod názvem IMS
	- odvozenina od věcí vzniklých během projektu Apollo v NASA
- většina CODASYL kompatibilních databází používala síťový model dat
	- IBM u své implementace použila hierarchický model
- v roce 1970 se u IBM našel nespokojený zaměstnanec Edgar Frank „Tedd“ Codd
	- přišel s vlastním, relačním datovým modelem a základy jazyka SEQUEL
	-  jeho objevu v roce 1979 využil Larry Ellison
		- zakladatel Oracle Corporation

**Princip síťového modelu dat**
- vychází ze souborově orientovaného přístupu k datům
	- soubor, záznam, položka
- **spojka** ukazuje na logicky sousedící záznam
- **výskyt setu**
	- spojkami propojené záznamy, které se podílejí na vazbě 1:N
	- zahrnuje vlastníka (owner) a členy (members)
	- př. student (vlastník) a jeho známky (členy)
- **set type** je kolekce všech výskytů setu dané vazby 1:N
	- má unikátní jméno, odpovídá názvu vazby 1:N

**Varianty hierarchického síťového modelu**
- každý uzel v hierarchickém definičním stromu reprezentuje jeden typ záznamu
- typy záznamu jsou reprezentovány pouze listy
	- ostatní uzly slouží pouze k zachování hierarchické struktury

